%global momorel 1

Name:           libcacard
Version:        2.6.1
Release:        %{momorel}m%{?dist}
Summary:        CAC (Common Access Card) library
License:        LGPLv2+
URL:            http://www.spice-space.org/page/Libcacard
Source0:        http://www.spice-space.org/download/libcacard/%{name}-%{version}.tar.xz
NoSource:       0
Group:          Development/Libraries

BuildRequires:  glib2-devel
BuildRequires:  nss-devel
Conflicts:      qemu-common < 2.5.0

%description
This library provides emulation of smart cards to a virtual card
reader running in a guest virtual machine.

It implements DoD CAC standard with separate pki containers
(compatible coolkey), using certificates read from NSS.

%package        tools
Summary:        CAC Emulation tools
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    tools
CAC emulation tools.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure --disable-static
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

%make_install
rm -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc COPYING
%doc NEWS
%{_libdir}/libcacard.so.*
#%{_bindir}/vscclient

%files tools
#%{_bindir}/vscclient

%files devel
%{_includedir}/cacard
%{_libdir}/libcacard.so
%{_libdir}/pkgconfig/libcacard.pc

%changelog
* Fri Oct 05 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (2.6.1-1m)
- update 2.6.1

* Sun Aug 12 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (2.6.0-1m)
- update 2.6.0

* Tue Mar 21 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (2.5.3-1m)
- update 2.5.3

* Fri Nov 18 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (2.5.2-1m)
- update 2.5.2

* Thu Dec 03 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (2.5.1-1m)
- Initial Commit Momonga Linux

* Wed Nov 25 2015 Fabiano Fidêncio <fidencio@redhat.com> - 3:2.5.1-1
- Update to latest libcacard's release (2.5.1)

* Wed Sep 23 2015 Marc-André Lureau <marcandre.lureau@redhat.com> - 3:2.5.0-1
- Initial standalone libcacard package.
